library(RUnit)
#see RManager.cpp library loading list
library(stats)
library(base)
library(utils)
library(lmtest)
library(datasets)
library(methods)
library(grDevices)
library(graphics)
library(lubridate)
library(MASS)
library(DamBASE)

testsuite.regression <- defineTestSuite("regressionTestSuite",
                                 dirs = file.path("test_cases"),
                                 testFileRegexp = "^runit.+\\.r",
                                 testFuncRegexp = "^test.+",
                                 rngKind = "Marsaglia-Multicarry",
                                 rngNormalKind = "Kinderman-Ramage")

testResult <- runTestSuite(testsuite.regression)
printTextProtocol(testResult)
#getErrors(testResult)