/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * StartupRunner.hpp
 *
 *  Created on: Dec 19, 2013
 *      Author: gerberma
 */

#ifndef STARTUPRUNNER_HPP_
#define STARTUPRUNNER_HPP_

#include <iostream>
#include <QMessageBox>
#include <QApplication>
#include <QObject>
#include <QProcess>

namespace app {

class Runner : public QObject
{
	Q_OBJECT
public:
	Runner(QObject *parent):QObject(parent){}
	virtual ~Runner(){}

public slots:
	void terminate(int exitCode) {
		/*
        QMessageBox::critical( 0,
                tr("Fatal error"),
                tr("Could not start the uic command."),
                tr("Quit") );
        */
		QApplication::exit(exitCode);
	}
};

} /* namespace app */

#endif /* STARTUPRUNNER_HPP_ */
