/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * AnalysisToolsFactory.hpp
 *
 *  Created on: Jan 23, 2014
 *      Author: gerberma
 */

#ifndef ANALYSISTOOLSFACTORY_HPP_
#define ANALYSISTOOLSFACTORY_HPP_

#include <exception>
#include "types.hpp"
#include "model/AnalysisToolDescription.hpp"
//#include "model/AnalysisTool.hpp"
#include "model/DataModelOverviewStatistics.hpp"
#include "app/GenericApplicationContext.hpp"

using namespace app::context;

namespace app {

class AnalysisToolsFactory {
public:
	typedef Analysis_Tool_t analysis_tool_t;

public:
	AnalysisToolsFactory(){}
	virtual ~AnalysisToolsFactory(){}
/*
	diese methode wird nicht bentigt
	Analysis_Tool_t *create(
			model::AnalysisToolDescription *toolDescription,
			DataModel_t *dataModel
	) {

		throw std::logic_error("Analysis_Tool_t *AnalysisToolsFactory::create not yet implemented");

		if(toolDescription->getId() == DataModel_Overview_Statistics_t::getStaticToolId()) {
			return new DataModel_Overview_Statistics_t(dataModel, FETCH_FROM_CTX(DataFrame_Overview_Statistics_Provider_t), toolDescription);
		}else if(toolDescription->getId() == DataModel_Influence_Factors_t::getStaticToolId()) {
			return new DataModel_Influence_Factors_t(dataModel, FETCH_FROM_CTX(DataFrame_Influence_Factors_Provider_t), toolDescription);
		}else{
			throw new std::logic_error("no analysis tool registered for id " + toolDescription->getId().toStdString());
		}


	}
*/
};

} /* namespace app*/

#endif /* ANALYSISTOOLSFACTORY_HPP_ */
