/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * CoreRegressionModelSubscriptions.hpp
 *
 *  Created on: 13.02.2015
 *      Author: gerberma
 */

#ifndef COREREGRESSIONMODELSUBSCRIPTIONS_HPP_
#define COREREGRESSIONMODELSUBSCRIPTIONS_HPP_

#include <boost/signals2.hpp>
#include <vector>

namespace app {

class CoreRegressionModelSubscriptions {
public:
	CoreRegressionModelSubscriptions();
	virtual ~CoreRegressionModelSubscriptions();

	void subscribe();

private:
	std::vector<boost::signals2::connection> subscriptionConnections;
};

} /* namespace app */
#endif /* COREREGRESSIONMODELSUBSCRIPTIONS_HPP_ */
