/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * RegressionFormulaMethodsController.hpp
 *
 *  Created on: May 28, 2014
 *      Author: gerberma
 */

#ifndef REGRESSIONFORMULAMETHODSCONTROLLER_HPP_
#define REGRESSIONFORMULAMETHODSCONTROLLER_HPP_

#include <QDebug>

namespace controller {

template<typename RegressionModel>
class RegressionFormulaMethodsController {
public:
	RegressionFormulaMethodsController() {;}
	virtual ~RegressionFormulaMethodsController(){;}

	void addMethodsInstance(RegressionModel *regressionModel, typename RegressionModel::Regression_Formula_t::RegressionModelTemplate_t *methodDescription) {
		qDebug() << __FUNCTION__ << " : " << methodDescription->getMethodId();
		/*
		typedef typename RegressionModel::DataModel_t::Water_Level_Column_Container_t water_level_column_container_t;
		typedef typename RegressionModel::DataModel_t::Water_Level_Column_t water_level_column_t;

		if(methodDescription->getMethodId() == "1526654b-afd6-4e64-bd5b-f212bde73f74") {
			water_level_column_container_t waterLevelColumns = regressionModel->getDataModel()->getWaterLevelColumns();

			if(!waterLevelColumns.empty()) {
				water_level_column_t *waterLevelColumn = *waterLevelColumns.begin();
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName());
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName() + "^2");
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName() + "^3");

			}
		}else if(methodDescription->getMethodId() == "a6bac123-b019-4062-a3a7-cdd9d6d314f9") {
			water_level_column_container_t waterLevelColumns = regressionModel->getDataModel()->getWaterLevelColumns();

			if(!waterLevelColumns.empty()) {
				water_level_column_t *waterLevelColumn = *waterLevelColumns.begin();
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName());
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName() + "^2");
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName() + "^3");
				regressionModel->getRegressionFormula()->addWaterLevelFormula(waterLevelColumn->getName() + "^4");

			}
		}else if(methodDescription->getMethodId() == "600c3be0-cbd5-4eb2-a2fc-740edb6e7bc6") {
			water_level_column_container_t waterLevelColumns = regressionModel->getDataModel()->getWaterLevelColumns();

			if(!waterLevelColumns.empty()) {
				water_level_column_t *waterLevelColumn = *waterLevelColumns.begin();
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T1(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T2(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T3(" + waterLevelColumn->getName() + ")");
			}
		}else if(methodDescription->getMethodId() == "3df46700-a148-45e4-b02e-c1e61f259524") {
			water_level_column_container_t waterLevelColumns = regressionModel->getDataModel()->getWaterLevelColumns();

			if(!waterLevelColumns.empty()) {
				water_level_column_t *waterLevelColumn = *waterLevelColumns.begin();
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T1(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T2(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T3(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T4(" + waterLevelColumn->getName() + ")");
			}
		}else if(methodDescription->getMethodId() == "8a31679e-2be6-42b9-8065-f9ef8d0abf26") {
			if(!waterLevelColumns.empty()) {
				water_level_column_t *waterLevelColumn = *waterLevelColumns.begin();
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T1(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T2(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T3(" + waterLevelColumn->getName() + ")");
				regressionModel->getRegressionFormula()->addWaterLevelFormula("T4(" + waterLevelColumn->getName() + ")");
			}
			regressionModel->getRegressionFormula()->addTemperatureFormula("sin(s)");
			regressionModel->getRegressionFormula()->addTemperatureFormula("sin(2s)");
			regressionModel->getRegressionFormula()->addTemperatureFormula("cos(s)");
			regressionModel->getRegressionFormula()->addTemperatureFormula("cos(2s)");
		}else{
			throw std::logic_error("No known handling for this method");
		}
		*/
		throw std::logic_error("No known handling for this method");
	}
};

}  // namespace controller


#endif /* REGRESSIONFORMULAMETHODSCONTROLLER_HPP_ */
