/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * FileDialog.hpp
 *
 *  Created on: Nov 22, 2013
 *      Author: gerberma
 */

#ifndef FILEDIALOG_HPP_
#define FILEDIALOG_HPP_

#include <QUrl>
#include <QObject>

namespace gui {

class FileDialog : public QObject {
public:
	FileDialog();
	virtual ~FileDialog();
	static QString getSaveFileName(QString forType); //TODO: remove static nature
	static QString getOpenFileName(QString forType); //TODO: remove static nature
	QString getOpenFileName(QString forType, QString forFileType);
	QUrl getOpenUrl(QString forType, QString forFileType);
};

} /* namespace gui */
#endif /* FILEDIALOG_HPP_ */
