/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * RegressionFitAnalysisResidualNormalProbabilityProvider.hpp
 *
 *  Created on: Apr 1, 2014
 *      Author: gerberma
 */

#ifndef REGRESSIONFITANALYSISRESIDUALNORMALPROBABILITYPROVIDER_HPP_
#define REGRESSIONFITANALYSISRESIDUALNORMALPROBABILITYPROVIDER_HPP_

#include "api/IRRegressionFitAnalysisResidualNormalProbability.hpp"
#include "api/IRegressionFitAnalysisResidualNormalProbabilityProvider.hpp"

namespace dambase {
namespace model {
namespace r {

class RegressionFitAnalysisResidualNormalProbabilityProvider : public virtual api::IRegressionFitAnalysisResidualNormalProbabilityProvider {
public:
	RegressionFitAnalysisResidualNormalProbabilityProvider();

	virtual ~RegressionFitAnalysisResidualNormalProbabilityProvider();

	boost::shared_ptr<api::IRRegressionFitAnalysisResidualNormalProbability> load(boost::shared_ptr<api::IRegressionFit> regressionFit);
};

}  // namespace r
}  // namespace model
}  // namespace dambase


#endif /* REGRESSIONFITANALYSISRESIDUALNORMALPROBABILITYPROVIDER_HPP_ */
