/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * IAssignmentCategory.hpp
 *
 *  Created on: 09.02.2015
 *      Author: gerberma
 */

#ifndef IASSIGNMENTCATEGORY_HPP_
#define IASSIGNMENTCATEGORY_HPP_

#include <QString>

namespace dambase {
namespace model {
namespace r {
namespace api {

class IAssignmentCategory {
public:
	virtual const QString &getIdentifier() const = 0;
	virtual QString getName() = 0;
	virtual bool hasColumns() = 0;
	virtual int getIndex() = 0;
public:
	IAssignmentCategory(){;}
	virtual ~IAssignmentCategory(){;}
};

} //namespace api
} //namespace r
} //namespace model
} //namespace


#endif /* IASSIGNMENTCATEGORY_HPP_ */
