/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * RegressorFormulaBuilder.hpp
 *
 *  Created on: Jun 3, 2014
 *      Author: gerberma
 */

#ifndef REGRESSORFORMULABUILDER_HPP_
#define REGRESSORFORMULABUILDER_HPP_

#include <QString>

namespace model {
namespace r{

class RegressorFormulaBuilder {
public:
	RegressorFormulaBuilder(){;}
	virtual ~RegressorFormulaBuilder(){;}

	virtual QString getName() {return "<undefined name>";}
	virtual QString getIdentifier() {return "<undefined identifier>";}
	virtual QString getRFormula() = 0;
	virtual QString getFormula() = 0;
	virtual QString getInfluenceFactorName() = 0;
};

} // namespace r
} // namespace model


#endif /* REGRESSORFORMULABUILDER_HPP_ */
