/*
    DamBASE - Dam Behaviour Analysis Software Environment
    Copyright (C) 2015   VAW, ETH Zurich, Gerber M., Buehlmann M.,
    Vetsch D.F., 2015
    http://www.dambase.ethz.ch

    This file is part of DamBASE

    DamBASE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DamBASE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * WorkingAreaContainerUi.hpp
 *
 *  Created on: Nov 7, 2013
 *      Author: gerberma
 */

#ifndef WORKINGAREACONTAINERUI_HPP_
#define WORKINGAREACONTAINERUI_HPP_

#include "WorkingAreaUi.hpp"

namespace ui {

class WorkingAreaContainerUi {
public:
	virtual void setWorkingArea(WorkingAreaUi *workingArea) = 0;

	WorkingAreaContainerUi(){};
	virtual ~WorkingAreaContainerUi(){};
};

} /* namespace ui */
#endif /* WORKINGAREACONTAINERUI_HPP_ */
